package com.zzwtec.third.common;

import java.util.UUID;

/**
 * create by Jomchen on 2018/12/3
 * cookie 生成器
 */
public class CookieIdGenerator {

    private CookieIdGenerator() {}

    public static CookieIdGenerator build() {
        return new CookieIdGenerator();
    }

    public String genaeratorSessionId() {
        return UUID.randomUUID().toString().replaceAll("-", "").toUpperCase();
    }

    public String getPropertyId(String admId) {
        return WebPrefixAndConstant.SESSION_PREFIX_PROPERTY  +  admId;
    }

}
